> ## Documentation Index
> Fetch the complete documentation index at: https://br.developers.hubspot.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get all marketing emails

> **Supported products**

> **Required Scopes**


## OpenAPI

````yaml specs/legacy/v3/marketing-marketing-emails-v3.json GET /marketing/v3/emails
openapi: 3.0.1
info:
  title: E-mails de marketing
  version: v3
  x-hubspot-product-tier-requirements:
    marketing: FREE
    sales: FREE
    service: FREE
    cms: FREE
    commerce: FREE
    crmHub: FREE
    dataHub: FREE
  x-hubspot-api-use-case: >-
    Você deseja criar e-mails de marketing de forma programática e depois
    recuperar suas estatísticas de envio em um momento posterior.
  x-hubspot-related-documentation:
    - name: Marketing Emails Guide
      url: >-
        https://developers.hubspot.com/docs/guides/api/marketing/emails/marketing-emails
  x-hubspot-introduction: >-
    Use a API de e-mail de marketing para criar, gerenciar e obter detalhes
    sobre e-mails de marketing. Você também pode usar essa API para acessar
    estatísticas de envios de e-mail semelhantes às disponíveis no HubSpot.
servers:
  - url: https://api.hubapi.com
security: []
tags:
  - name: Basic
  - name: Emails
paths:
  /marketing/v3/emails:
    get:
      tags:
        - Basic
      operationId: get-/marketing/v3/emails_/marketing/v3/emails
      parameters:
        - name: after
          in: query
          required: false
          style: form
          explode: true
          schema:
            type: string
        - name: archived
          in: query
          required: false
          style: form
          explode: true
          schema:
            type: boolean
        - name: campaign
          in: query
          required: false
          style: form
          explode: true
          schema:
            type: string
        - name: createdAfter
          in: query
          required: false
          style: form
          explode: true
          schema:
            type: string
            format: date-time
        - name: createdAt
          in: query
          required: false
          style: form
          explode: true
          schema:
            type: string
            format: date-time
        - name: createdBefore
          in: query
          required: false
          style: form
          explode: true
          schema:
            type: string
            format: date-time
        - name: includedProperties
          in: query
          required: false
          style: form
          explode: true
          schema:
            type: array
            items:
              type: string
        - name: includeStats
          in: query
          required: false
          style: form
          explode: true
          schema:
            type: boolean
        - name: isPublished
          in: query
          required: false
          style: form
          explode: true
          schema:
            type: boolean
        - name: limit
          in: query
          required: false
          style: form
          explode: true
          schema:
            type: integer
            format: int32
        - name: marketingCampaignNames
          in: query
          required: false
          style: form
          explode: true
          schema:
            type: boolean
        - name: publishedAfter
          in: query
          required: false
          style: form
          explode: true
          schema:
            type: string
            format: date-time
        - name: publishedAt
          in: query
          required: false
          style: form
          explode: true
          schema:
            type: string
            format: date-time
        - name: publishedBefore
          in: query
          required: false
          style: form
          explode: true
          schema:
            type: string
            format: date-time
        - name: sort
          in: query
          required: false
          style: form
          explode: true
          schema:
            type: array
            items:
              type: string
        - name: type
          in: query
          required: false
          style: form
          explode: true
          schema:
            type: string
            enum:
              - AB_EMAIL
              - AUTOMATED_AB_EMAIL
              - AUTOMATED_EMAIL
              - BATCH_EMAIL
              - BLOG_EMAIL
              - BLOG_EMAIL_CHILD
              - FEEDBACK_CES_EMAIL
              - FEEDBACK_CUSTOM_EMAIL
              - FEEDBACK_CUSTOM_SURVEY_EMAIL
              - FEEDBACK_NPS_EMAIL
              - FOLLOWUP_EMAIL
              - LEADFLOW_EMAIL
              - LOCALTIME_EMAIL
              - MANAGE_PREFERENCES_EMAIL
              - MARKETING_SINGLE_SEND_API
              - MEMBERSHIP_EMAIL_VERIFICATION_EMAIL
              - MEMBERSHIP_FOLLOW_UP_EMAIL
              - MEMBERSHIP_OTP_LOGIN_EMAIL
              - MEMBERSHIP_PASSWORD_RESET_EMAIL
              - MEMBERSHIP_PASSWORD_SAVED_EMAIL
              - MEMBERSHIP_PASSWORDLESS_AUTH_EMAIL
              - MEMBERSHIP_REGISTRATION_EMAIL
              - MEMBERSHIP_REGISTRATION_FOLLOW_UP_EMAIL
              - MEMBERSHIP_VERIFICATION_EMAIL
              - OPTIN_EMAIL
              - OPTIN_FOLLOWUP_EMAIL
              - RESUBSCRIBE_EMAIL
              - RSS_EMAIL
              - RSS_EMAIL_CHILD
              - SINGLE_SEND_API
              - SMTP_TOKEN
              - TICKET_EMAIL
        - name: updatedAfter
          in: query
          required: false
          style: form
          explode: true
          schema:
            type: string
            format: date-time
        - name: updatedAt
          in: query
          required: false
          style: form
          explode: true
          schema:
            type: string
            format: date-time
        - name: updatedBefore
          in: query
          required: false
          style: form
          explode: true
          schema:
            type: string
            format: date-time
        - name: variantStats
          in: query
          required: false
          style: form
          explode: true
          schema:
            type: boolean
        - name: workflowNames
          in: query
          required: false
          style: form
          explode: true
          schema:
            type: boolean
      responses:
        '200':
          description: successful operation
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CollectionResponseWithTotalPublicEmail'
        default:
          $ref: '#/components/responses/Error'
          description: ''
      security:
        - oauth2:
            - marketing.email.read
        - oauth2:
            - marketing.email.write
        - oauth2:
            - content
components:
  schemas:
    CollectionResponseWithTotalPublicEmail:
      required:
        - results
        - total
      type: object
      properties:
        paging:
          $ref: '#/components/schemas/Paging'
        results:
          type: array
          items:
            $ref: '#/components/schemas/PublicEmail'
        total:
          type: integer
          format: int32
    Paging:
      type: object
      properties:
        next:
          $ref: '#/components/schemas/NextPage'
        prev:
          $ref: '#/components/schemas/PreviousPage'
      description: >-
        Representa as informações de paginação para navegar por uma lista de
        resultados na API. Ele fornece detalhes sobre como acessar o conjunto
        anterior ou seguinte de resultados.
    PublicEmail:
      required:
        - isAb
      type: object
      properties:
        activeDomain:
          type: string
          description: O domínio ativo do e-mail.
        allEmailCampaignIds:
          type: array
          description: Lista de emailCampaignIds.
          items:
            type: string
        archived:
          type: boolean
          description: Determina se o e-mail está arquivado ou não.
        businessUnitId:
          type: string
        campaign:
          type: string
          description: O ID da campanha a qual este e-mail está associado.
        campaignName:
          type: string
          description: O nome da campanha.
        campaignUtm:
          type: string
        clonedFrom:
          type: string
          description: O ID do e-mail do qual este e-mail foi clonado.
        content:
          $ref: '#/components/schemas/PublicEmailContent'
        createdAt:
          type: string
          description: A data e hora da criação do e-mail, em representação ISO8601.
          format: date-time
        createdById:
          type: string
          description: O ID do usuário que criou o e-mail.
        deletedAt:
          type: string
          description: Data e hora em que o e-mail foi excluído, na representação ISO8601.
          format: date-time
        emailCampaignGroupId:
          type: string
        emailTemplateMode:
          type: string
          enum:
            - DESIGN_MANAGER
            - DRAG_AND_DROP
        feedbackSurveyId:
          type: string
          description: O ID da pesquisa de feedback vinculada ao e-mail.
        folderId:
          type: integer
          format: int64
        folderIdV2:
          type: integer
          format: int64
        from:
          $ref: '#/components/schemas/PublicEmailFromDetails'
        id:
          type: string
          description: O ID do e-mail.
        isAb:
          type: boolean
        isPublished:
          type: boolean
          description: Retorna o status de publicação do e-mail. É somente leitura.
        isTransactional:
          type: boolean
          description: >-
            Retorna se o e-mail é um e-mail transacional ou não. É somente
            leitura.
        jitterSendTime:
          type: boolean
        language:
          type: string
          enum:
            - aa
            - ab
            - ae
            - af
            - af-na
            - af-za
            - agq
            - agq-cm
            - ak
            - ak-gh
            - am
            - am-et
            - an
            - ann
            - ann-ng
            - ar
            - ar-001
            - ar-ae
            - ar-bh
            - ar-dj
            - ar-dz
            - ar-eg
            - ar-eh
            - ar-er
            - ar-il
            - ar-iq
            - ar-jo
            - ar-km
            - ar-kw
            - ar-lb
            - ar-ly
            - ar-ma
            - ar-mr
            - ar-om
            - ar-ps
            - ar-qa
            - ar-sa
            - ar-sd
            - ar-so
            - ar-ss
            - ar-sy
            - ar-td
            - ar-tn
            - ar-ye
            - as
            - as-in
            - asa
            - asa-tz
            - ast
            - ast-es
            - av
            - ay
            - az
            - az-az
            - ba
            - bal
            - bal-pk
            - bas
            - bas-cm
            - be
            - be-by
            - bem
            - bem-zm
            - bez
            - bez-tz
            - bg
            - bg-bg
            - bgc
            - bgc-in
            - bho
            - bho-in
            - bi
            - blo
            - blo-bj
            - bm
            - bm-ml
            - bn
            - bn-bd
            - bn-in
            - bo
            - bo-cn
            - bo-in
            - br
            - br-fr
            - brx
            - brx-in
            - bs
            - bs-ba
            - ca
            - ca-ad
            - ca-es
            - ca-fr
            - ca-it
            - ccp
            - ccp-bd
            - ccp-in
            - ce
            - ce-ru
            - ceb
            - ceb-ph
            - cgg
            - cgg-ug
            - ch
            - chr
            - chr-us
            - ckb
            - ckb-iq
            - ckb-ir
            - co
            - cr
            - cs
            - cs-cz
            - csw
            - csw-ca
            - cu
            - cu-ru
            - cv
            - cv-ru
            - cy
            - cy-gb
            - da
            - da-dk
            - da-gl
            - dav
            - dav-ke
            - de
            - de-at
            - de-be
            - de-ch
            - de-de
            - de-gr
            - de-it
            - de-li
            - de-lu
            - dje
            - dje-ne
            - doi
            - doi-in
            - dsb
            - dsb-de
            - dua
            - dua-cm
            - dv
            - dyo
            - dyo-sn
            - dz
            - dz-bt
            - ebu
            - ebu-ke
            - ee
            - ee-gh
            - ee-tg
            - el
            - el-cy
            - el-gr
            - en
            - en-001
            - en-150
            - en-ae
            - en-ag
            - en-ai
            - en-as
            - en-at
            - en-au
            - en-bb
            - en-be
            - en-bi
            - en-bm
            - en-bs
            - en-bw
            - en-bz
            - en-ca
            - en-cc
            - en-ch
            - en-ck
            - en-cm
            - en-cn
            - en-cx
            - en-cy
            - en-cz
            - en-de
            - en-dg
            - en-dk
            - en-dm
            - en-ee
            - en-eg
            - en-er
            - en-es
            - en-fi
            - en-fj
            - en-fk
            - en-fm
            - en-fr
            - en-gb
            - en-gd
            - en-gg
            - en-gh
            - en-gi
            - en-gm
            - en-gs
            - en-gu
            - en-gy
            - en-hk
            - en-hu
            - en-id
            - en-ie
            - en-il
            - en-im
            - en-in
            - en-io
            - en-it
            - en-je
            - en-jm
            - en-ke
            - en-ki
            - en-kn
            - en-ky
            - en-lc
            - en-lr
            - en-ls
            - en-lu
            - en-mg
            - en-mh
            - en-mo
            - en-mp
            - en-ms
            - en-mt
            - en-mu
            - en-mv
            - en-mw
            - en-mx
            - en-my
            - en-na
            - en-nf
            - en-ng
            - en-nl
            - en-no
            - en-nr
            - en-nu
            - en-nz
            - en-pg
            - en-ph
            - en-pk
            - en-pl
            - en-pn
            - en-pr
            - en-pt
            - en-pw
            - en-ro
            - en-rw
            - en-sb
            - en-sc
            - en-sd
            - en-se
            - en-sg
            - en-sh
            - en-si
            - en-sk
            - en-sl
            - en-ss
            - en-sx
            - en-sz
            - en-tc
            - en-th
            - en-tk
            - en-tn
            - en-to
            - en-tt
            - en-tv
            - en-tz
            - en-ug
            - en-um
            - en-us
            - en-vc
            - en-vg
            - en-vi
            - en-vn
            - en-vu
            - en-ws
            - en-za
            - en-zm
            - en-zw
            - eo
            - eo-001
            - es
            - es-419
            - es-ar
            - es-bo
            - es-br
            - es-bz
            - es-cl
            - es-co
            - es-cr
            - es-cu
            - es-do
            - es-ea
            - es-ec
            - es-es
            - es-gq
            - es-gt
            - es-hn
            - es-ic
            - es-mx
            - es-ni
            - es-pa
            - es-pe
            - es-ph
            - es-pr
            - es-py
            - es-sv
            - es-us
            - es-uy
            - es-ve
            - et
            - et-ee
            - eu
            - eu-es
            - ewo
            - ewo-cm
            - fa
            - fa-af
            - fa-ir
            - ff
            - ff-bf
            - ff-cm
            - ff-gh
            - ff-gm
            - ff-gn
            - ff-gw
            - ff-lr
            - ff-mr
            - ff-ne
            - ff-ng
            - ff-sl
            - ff-sn
            - fi
            - fi-fi
            - fil
            - fil-ph
            - fj
            - fo
            - fo-dk
            - fo-fo
            - fr
            - fr-be
            - fr-bf
            - fr-bi
            - fr-bj
            - fr-bl
            - fr-ca
            - fr-cd
            - fr-cf
            - fr-cg
            - fr-ch
            - fr-ci
            - fr-cm
            - fr-dj
            - fr-dz
            - fr-fr
            - fr-ga
            - fr-gf
            - fr-gn
            - fr-gp
            - fr-gq
            - fr-ht
            - fr-km
            - fr-lu
            - fr-ma
            - fr-mc
            - fr-mf
            - fr-mg
            - fr-ml
            - fr-mq
            - fr-mr
            - fr-mu
            - fr-nc
            - fr-ne
            - fr-pf
            - fr-pm
            - fr-re
            - fr-rw
            - fr-sc
            - fr-sn
            - fr-sy
            - fr-td
            - fr-tg
            - fr-tn
            - fr-vu
            - fr-wf
            - fr-yt
            - frr
            - frr-de
            - fur
            - fur-it
            - fy
            - fy-nl
            - ga
            - ga-gb
            - ga-ie
            - gaa
            - gaa-gh
            - gd
            - gd-gb
            - gl
            - gl-es
            - gn
            - gsw
            - gsw-ch
            - gsw-fr
            - gsw-li
            - gu
            - gu-in
            - guz
            - guz-ke
            - gv
            - gv-im
            - ha
            - ha-gh
            - ha-ne
            - ha-ng
            - haw
            - haw-us
            - he
            - he-il
            - hi
            - hi-in
            - hmn
            - ho
            - hr
            - hr-ba
            - hr-hr
            - hsb
            - hsb-de
            - ht
            - ht-ht
            - hu
            - hu-hu
            - hy
            - hy-am
            - hz
            - ia
            - ia-001
            - id
            - id-id
            - ie
            - ie-ee
            - ig
            - ig-ng
            - ii
            - ii-cn
            - ik
            - io
            - is
            - is-is
            - it
            - it-ch
            - it-it
            - it-sm
            - it-va
            - iu
            - ja
            - ja-jp
            - jgo
            - jgo-cm
            - jmc
            - jmc-tz
            - jv
            - jv-id
            - ka
            - ka-ge
            - kab
            - kab-dz
            - kam
            - kam-ke
            - kar
            - kde
            - kde-tz
            - kea
            - kea-cv
            - kg
            - kgp
            - kgp-br
            - kh
            - khq
            - khq-ml
            - ki
            - ki-ke
            - kj
            - kk
            - kk-kz
            - kkj
            - kkj-cm
            - kl
            - kl-gl
            - kln
            - kln-ke
            - km
            - km-kh
            - kn
            - kn-in
            - ko
            - ko-cn
            - ko-kp
            - ko-kr
            - kok
            - kok-in
            - kr
            - ks
            - ks-in
            - ksb
            - ksb-tz
            - ksf
            - ksf-cm
            - ksh
            - ksh-de
            - ku
            - ku-tr
            - kv
            - kw
            - kw-gb
            - kxv
            - kxv-in
            - ky
            - ky-kg
            - la
            - lag
            - lag-tz
            - lb
            - lb-lu
            - lg
            - lg-ug
            - li
            - lij
            - lij-it
            - lkt
            - lkt-us
            - lmo
            - lmo-it
            - ln
            - ln-ao
            - ln-cd
            - ln-cf
            - ln-cg
            - lo
            - lo-la
            - lrc
            - lrc-iq
            - lrc-ir
            - lt
            - lt-lt
            - lu
            - lu-cd
            - luo
            - luo-ke
            - luy
            - luy-ke
            - lv
            - lv-lv
            - mai
            - mai-in
            - mas
            - mas-ke
            - mas-tz
            - mdf
            - mdf-ru
            - mer
            - mer-ke
            - mfe
            - mfe-mu
            - mg
            - mg-mg
            - mgh
            - mgh-mz
            - mgo
            - mgo-cm
            - mh
            - mi
            - mi-nz
            - mk
            - mk-mk
            - ml
            - ml-in
            - mn
            - mn-mn
            - mni
            - mni-in
            - mr
            - mr-in
            - ms
            - ms-bn
            - ms-id
            - ms-my
            - ms-sg
            - mt
            - mt-mt
            - mua
            - mua-cm
            - my
            - my-mm
            - mzn
            - mzn-ir
            - na
            - naq
            - naq-na
            - nb
            - nb-no
            - nb-sj
            - nd
            - nd-zw
            - nds
            - nds-de
            - nds-nl
            - ne
            - ne-in
            - ne-np
            - ng
            - nl
            - nl-aw
            - nl-be
            - nl-bq
            - nl-ch
            - nl-cw
            - nl-lu
            - nl-nl
            - nl-sr
            - nl-sx
            - nmg
            - nmg-cm
            - nn
            - nn-no
            - nnh
            - nnh-cm
            - 'no'
            - no-no
            - nqo
            - nqo-gn
            - nr
            - nso
            - nso-za
            - nus
            - nus-ss
            - nv
            - ny
            - nyn
            - nyn-ug
            - oc
            - oc-es
            - oc-fr
            - oj
            - om
            - om-et
            - om-ke
            - or
            - or-in
            - os
            - os-ge
            - os-ru
            - pa
            - pa-in
            - pa-pk
            - pcm
            - pcm-ng
            - pi
            - pis
            - pis-sb
            - pl
            - pl-pl
            - prg
            - prg-001
            - ps
            - ps-af
            - ps-pk
            - pt
            - pt-ao
            - pt-br
            - pt-ch
            - pt-cv
            - pt-gq
            - pt-gw
            - pt-lu
            - pt-mo
            - pt-mz
            - pt-pt
            - pt-st
            - pt-tl
            - qu
            - qu-bo
            - qu-ec
            - qu-pe
            - raj
            - raj-in
            - rm
            - rm-ch
            - rn
            - rn-bi
            - ro
            - ro-md
            - ro-ro
            - rof
            - rof-tz
            - ru
            - ru-by
            - ru-kg
            - ru-kz
            - ru-md
            - ru-ru
            - ru-ua
            - rw
            - rw-rw
            - rwk
            - rwk-tz
            - sa
            - sa-in
            - sah
            - sah-ru
            - saq
            - saq-ke
            - sat
            - sat-in
            - sbp
            - sbp-tz
            - sc
            - sc-it
            - sd
            - sd-in
            - sd-pk
            - se
            - se-fi
            - se-no
            - se-se
            - seh
            - seh-mz
            - ses
            - ses-ml
            - sg
            - sg-cf
            - shi
            - shi-ma
            - si
            - si-lk
            - sk
            - sk-sk
            - sl
            - sl-si
            - sm
            - smn
            - smn-fi
            - sms
            - sms-fi
            - sn
            - sn-zw
            - so
            - so-dj
            - so-et
            - so-ke
            - so-so
            - sq
            - sq-al
            - sq-mk
            - sq-xk
            - sr
            - sr-ba
            - sr-cs
            - sr-me
            - sr-rs
            - sr-xk
            - ss
            - st
            - st-ls
            - st-za
            - su
            - su-id
            - sv
            - sv-ax
            - sv-fi
            - sv-se
            - sw
            - sw-cd
            - sw-ke
            - sw-tz
            - sw-ug
            - sy
            - syr
            - syr-iq
            - syr-sy
            - szl
            - szl-pl
            - ta
            - ta-in
            - ta-lk
            - ta-my
            - ta-sg
            - te
            - te-in
            - teo
            - teo-ke
            - teo-ug
            - tg
            - tg-tj
            - th
            - th-th
            - ti
            - ti-er
            - ti-et
            - tk
            - tk-tm
            - tl
            - tn
            - tn-bw
            - tn-za
            - to
            - to-to
            - tok
            - tok-001
            - tr
            - tr-cy
            - tr-tr
            - ts
            - tt
            - tt-ru
            - tw
            - twq
            - twq-ne
            - ty
            - tzm
            - tzm-ma
            - ug
            - ug-cn
            - uk
            - uk-ua
            - ur
            - ur-in
            - ur-pk
            - uz
            - uz-af
            - uz-uz
            - vai
            - vai-lr
            - ve
            - vec
            - vec-it
            - vi
            - vi-vn
            - vmw
            - vmw-mz
            - vo
            - vo-001
            - vun
            - vun-tz
            - wa
            - wae
            - wae-ch
            - wo
            - wo-sn
            - xh
            - xh-za
            - xnr
            - xnr-in
            - xog
            - xog-ug
            - yav
            - yav-cm
            - yi
            - yi-001
            - yi-ua
            - yo
            - yo-bj
            - yo-ng
            - yrl
            - yrl-br
            - yrl-co
            - yrl-ve
            - yue
            - yue-cn
            - yue-hk
            - yue-mo
            - za
            - za-cn
            - zgh
            - zgh-ma
            - zh
            - zh-cn
            - zh-hans
            - zh-hant
            - zh-hk
            - zh-mo
            - zh-my
            - zh-sg
            - zh-tw
            - zu
            - zu-za
        name:
          type: string
          description: O nome do e-mail, conforme exibido no painel de e-mails.
        previewKey:
          type: string
        primaryEmailCampaignId:
          type: string
        publishDate:
          type: string
          description: >-
            A data e hora em que o e-mail está programado, na representação
            ISO8601. É usado apenas no horário local ou em e-mails programados.
          format: date-time
        publishedAt:
          type: string
          description: >-
            A data e hora em que o e-mail foi publicado, em representação
            ISO8601.
          format: date-time
        publishedByEmail:
          type: string
          description: E-mail do usuário que publicou/enviou o e-mail.
        publishedById:
          type: string
          description: O ID do usuário que publicou o e-mail.
        publishedByName:
          type: string
          description: Nome do usuário que publicou o e-mail.
        rssData:
          $ref: '#/components/schemas/PublicRssEmailDetails'
        sendOnPublish:
          type: boolean
          description: Determina se o e-mail será enviado imediatamente ao ser publicado.
        state:
          type: string
          description: O estado do e-mail.
          enum:
            - AGENT_GENERATED
            - AUTOMATED
            - AUTOMATED_AB
            - AUTOMATED_AB_VARIANT
            - AUTOMATED_DRAFT
            - AUTOMATED_DRAFT_AB
            - AUTOMATED_DRAFT_ABVARIANT
            - AUTOMATED_FOR_FORM
            - AUTOMATED_FOR_FORM_BUFFER
            - AUTOMATED_FOR_FORM_DRAFT
            - AUTOMATED_FOR_FORM_LEGACY
            - AUTOMATED_LOSER_ABVARIANT
            - AUTOMATED_SENDING
            - BLOG_EMAIL_DRAFT
            - BLOG_EMAIL_PUBLISHED
            - DRAFT
            - DRAFT_AB
            - DRAFT_AB_VARIANT
            - ERROR
            - LOSER_AB_VARIANT
            - PAGE_STUB
            - PRE_PROCESSING
            - PROCESSING
            - PUBLISHED
            - PUBLISHED_AB
            - PUBLISHED_AB_VARIANT
            - PUBLISHED_OR_SCHEDULED
            - RSS_TO_EMAIL_DRAFT
            - RSS_TO_EMAIL_PUBLISHED
            - SCHEDULED
            - SCHEDULED_AB
            - SCHEDULED_OR_PUBLISHED
        stats:
          $ref: '#/components/schemas/EmailStatisticsData'
        subcategory:
          type: string
          description: A subcategoria do e-mail.
        subject:
          type: string
          description: O assunto do e-mail.
        subscriptionDetails:
          $ref: '#/components/schemas/PublicEmailSubscriptionDetails'
        teamsWithAccess:
          type: array
          items:
            type: string
        testing:
          $ref: '#/components/schemas/PublicEmailTestingDetails'
        to:
          $ref: '#/components/schemas/PublicEmailToDetails'
        type:
          type: string
          description: >-
            O tipo de e-mail. É derivado de outras propriedades no e-mail, como
            subcategoria.
          enum:
            - AB_EMAIL
            - AUTOMATED_AB_EMAIL
            - AUTOMATED_EMAIL
            - BATCH_EMAIL
            - BLOG_EMAIL
            - BLOG_EMAIL_CHILD
            - FEEDBACK_CES_EMAIL
            - FEEDBACK_CUSTOM_EMAIL
            - FEEDBACK_CUSTOM_SURVEY_EMAIL
            - FEEDBACK_NPS_EMAIL
            - FOLLOWUP_EMAIL
            - LEADFLOW_EMAIL
            - LOCALTIME_EMAIL
            - MANAGE_PREFERENCES_EMAIL
            - MARKETING_SINGLE_SEND_API
            - MEMBERSHIP_EMAIL_VERIFICATION_EMAIL
            - MEMBERSHIP_FOLLOW_UP_EMAIL
            - MEMBERSHIP_OTP_LOGIN_EMAIL
            - MEMBERSHIP_PASSWORD_RESET_EMAIL
            - MEMBERSHIP_PASSWORD_SAVED_EMAIL
            - MEMBERSHIP_PASSWORDLESS_AUTH_EMAIL
            - MEMBERSHIP_REGISTRATION_EMAIL
            - MEMBERSHIP_REGISTRATION_FOLLOW_UP_EMAIL
            - MEMBERSHIP_VERIFICATION_EMAIL
            - OPTIN_EMAIL
            - OPTIN_FOLLOWUP_EMAIL
            - RESUBSCRIBE_EMAIL
            - RSS_EMAIL
            - RSS_EMAIL_CHILD
            - SINGLE_SEND_API
            - SMTP_TOKEN
            - TICKET_EMAIL
        unpublishedAt:
          type: string
          format: date-time
        updatedAt:
          type: string
          description: >-
            A data e hora da última atualização do e-mail, em representação
            ISO8601.
          format: date-time
        updatedById:
          type: string
          description: O ID do usuário que atualizou o e-mail pela última vez.
        usersWithAccess:
          type: array
          items:
            type: string
        webversion:
          $ref: '#/components/schemas/PublicWebversionDetails'
        workflowNames:
          type: array
          description: >-
            Nomes de fluxos de trabalho nos quais o e-mail é usado dentro de uma
            ação "enviar e-mail".
          items:
            type: string
      description: A marketing email
      example:
        activeDomain: test.hs-sites.com
        archived: false
        campaign: 1b7f51a6-33c1-44d6-ba28-fe81f655dced
        content:
          flexAreas:
            main:
              boxed: false
              isSingleColumnFullWidth: false
              sections:
                - columns:
                    - id: column_1606761806181_0
                      widgets:
                        - module_160676180617911
                      width: 12
                  id: section_1606761806181
                  style:
                    backgroundColor: ''
                    backgroundType: CONTENT
                - columns:
                    - id: column-0-1
                      widgets:
                        - module-0-1-1
                      width: 12
                  id: section-0
                  style:
                    backgroundType: CONTENT
                    paddingBottom: 40px
                    paddingTop: 40px
                - columns:
                    - id: column-1-1
                      widgets:
                        - module-1-1-1
                      width: 12
                  id: section-1
                  style:
                    backgroundColor: ''
                    backgroundType: CONTENT
                    paddingBottom: 0px
                    paddingTop: 0px
          plainTextVersion: >-
            This is custom! View in browser ({{view_as_page_url}})


            Hello {{ contact.firstname }},


            Plain text emails have minimal formatting so your reader can really
            focus on what you have to say. Introduce yourself and explain why
            you’re reaching out.


            Every email should try to lead the reader to some kind of action.
            Use this space to describe why the reader should want to click on
            the link below. Put the link on its own line to really draw their
            eye to it.


            Link text


            Now it’s time to wrap up your email. Before your signature, thank
            the recipient for reading. You can also invite them to send this
            email to any of their colleagues who might be interested.


            All the best,


            Your full name


            Your job title


            Other contact information


            {{site_settings.company_name}},
            {{site_settings.company_street_address_1}},
            {{site_settings.company_street_address_2}},
            {{site_settings.company_city}}, {{site_settings.company_state}}
            {{site_settings.company_zip}}, {{site_settings.company_country}},
            {{site_settings.company_phone}}


            Unsubscribe ({{unsubscribe_link_all}})


            Manage preferences ({{unsubscribe_link}})
          styleSettings: {}
          templatePath: '@hubspot/email/dnd/plain_text.html'
          widgets:
            module-0-1-1:
              body:
                css_class: dnd-module
                html: >-
                  <p style="margin-bottom:10px;">Hello {{ contact.firstname
                  }},<br><br>Plain text emails have minimal formatting so your
                  reader can really focus on what you have to say. Introduce
                  yourself and explain why you’re reaching out.</p><p
                  style="margin-bottom:10px;">Every email should try to lead the
                  reader to some kind of action. Use this space to describe why
                  the reader should want to click on the link below. Put the
                  link on its own line to really draw their eye to it.</p><p
                  style="margin-bottom:10px;"><a target="_blank"
                  rel="noopener">Link text</a></p><p
                  style="margin-bottom:10px;">Now it’s time to wrap up your
                  email. Before your signature, thank the recipient for reading.
                  You can also invite them to send this email to any of their
                  colleagues who might be interested.</p><p
                  style="margin-bottom:10px;">All the best,<br>Your full
                  name<br>Your job title<br>Other contact information</p>
                i18nKey: richText.plainText
                path: '@hubspot/rich_text'
                schema_version: 2
              child_css: {}
              css: {}
              id: module-0-1-1
              module_id: 1155639
              name: module-0-1-1
              order: 2
              styles: {}
              type: module
            module-1-1-1:
              body:
                align: center
                css_class: dnd-module
                font:
                  color: '#23496d'
                  font: Arial, sans-serif
                  size:
                    units: px
                    value: 12
                link_font:
                  color: '#00a4bd'
                  font: Helvetica,Arial,sans-serif
                  size:
                    units: px
                    value: 12
                  styles:
                    bold: false
                    italic: false
                    underline: true
                path: '@hubspot/email_footer'
                schema_version: 2
                unsubscribe_link_type: both
              child_css: {}
              css: {}
              id: module-1-1-1
              module_id: 2869621
              name: module-1-1-1
              order: 3
              styles: {}
              type: module
            module_160676180617911:
              body:
                font:
                  color: '#00a4bd'
                  font: Arial, sans-serif
                  size:
                    units: px
                    value: 12
                  styles:
                    bold: false
                    italic: false
                    underline: true
                hs_enable_module_padding: false
                hs_wrapper_css: {}
              child_css: {}
              css: {}
              id: module_160676180617911
              module_id: 2794854
              name: module_160676180617911
              styles: {}
              type: module
            preview_text:
              body:
                value: ''
              child_css: {}
              css: {}
              id: preview_text
              label: >-
                Preview Text <span class=help-text>This will be used as the
                preview text that displays in some email clients</span>
              name: preview_text
              order: 0
              styles: {}
              type: text
        createdAt: '2020-11-30T18:43:17.136Z'
        createdById: 3739732
        from:
          fromName: Bruce Wayne
          replyTo: test@hubspot.com
        id: '38175169118'
        isPublished: false
        isTransactional: false
        language: en
        name: My subject
        publishDate: '2020-11-30T18:44:20.387Z'
        sendOnPublish: true
        state: DRAFT
        subcategory: batch
        subject: My subject
        subscriptionDetails:
          officeLocationId: '5449392956'
        to:
          contactIds: {}
          contactIlsLists:
            exclude:
              - 1
            include:
              - 5
          suppressGraymail: true
        type: BATCH_EMAIL
        updatedAt: '2020-11-30T18:44:20.384Z'
        updatedById: 3739732
        webversion:
          expiresAt: '2020-11-30T18:44:20.387Z'
          metaDescription: ''
          redirectToPageId: 0
          redirectToUrl: http://www.example.org
    Error:
      required:
        - category
        - correlationId
        - message
      type: object
      properties:
        category:
          type: string
          description: A categoria de erro
        context:
          type: object
          additionalProperties:
            type: array
            items:
              type: string
          description: Contexto sobre a condição do erro
          example: >-
            {invalidPropertyName=[propertyValue], missingScopes=[scope1,
            scope2]}
        correlationId:
          type: string
          description: >-
            Um identificador exclusivo para a solicitação. Inclua este valor em
            relatórios de erro ou tickets de suporte
          format: uuid
          example: aeb5f871-7f07-4993-9211-075dc63e7cbf
        errors:
          type: array
          description: mais informações sobre o erro
          items:
            $ref: '#/components/schemas/ErrorDetail'
        links:
          type: object
          additionalProperties:
            type: string
          description: >-
            Um mapa de nomes de links para URIs associados que contêm
            documentação sobre o erro ou as etapas de correção recomendadas
        message:
          type: string
          description: >-
            Uma mensagem legível por humanos que descreve o erro, juntamente com
            as etapas de correção, quando apropriado
          example: An error occurred
        subCategory:
          type: string
          description: >-
            Uma categoria específica que contém mais detalhes específicos sobre
            o erro
      description: >-
        Representa uma resposta de erro retornada pela API quando uma operação
        falha. Este componente é usado em vários endpoints para fornecer
        informações detalhadas sobre o erro encontrado.
      example:
        message: Invalid input (details will vary based on the error)
        correlationId: aeb5f871-7f07-4993-9211-075dc63e7cbf
        category: VALIDATION_ERROR
        links:
          knowledge-base: https://www.hubspot.com/products/service/knowledge-base
    NextPage:
      required:
        - after
      type: object
      properties:
        after:
          type: string
          description: >-
            O valor do token do cursor para obter o próximo conjunto de
            resultados. Use este valor como parâmetro de consulta (&after=...)
            para obter a próxima página.
        link:
          type: string
          description: O link para a próxima página.
      description: >-
        Especifica as informações de paginação necessárias para recuperar o
        próximo conjunto de resultados em uma resposta de API paginada
    PreviousPage:
      required:
        - before
      type: object
      properties:
        before:
          type: string
          description: >-
            O valor do token do cursor para obter o conjunto anterior de
            resultados. Use este valor como parâmetro de consulta (&before=...)
            para obter a página anterior.
        link:
          type: string
          description: O link para a página anterior.
      description: >-
        especifica as informações de paginação necessárias para recuperar o
        conjunto anterior de resultados em uma resposta de API paginada
    PublicEmailContent:
      type: object
      properties:
        flexAreas:
          type: object
          additionalProperties:
            type: object
            properties: {}
        plainTextVersion:
          type: string
        smartFields:
          type: object
          additionalProperties:
            $ref: '#/components/schemas/SmartEmailField'
        styleSettings:
          $ref: '#/components/schemas/PublicEmailStyleSettings'
        templatePath:
          type: string
        themeSettingsValues:
          type: object
          additionalProperties:
            type: object
            properties: {}
        widgetContainers:
          type: object
          additionalProperties:
            type: object
            properties: {}
        widgets:
          type: object
          additionalProperties:
            type: object
            properties: {}
      description: Data structure representing the content of the email.
    PublicEmailFromDetails:
      type: object
      properties:
        customReplyTo:
          type: string
          description: A resposta que os destinatários verão.
        fromName:
          type: string
          description: O nome visto pelos destinatários.
        replyTo:
          type: string
          description: >-
            O endereço do remetente e o endereço de resposta (se nenhum
            customReplyTo for definido) que os destinatários verão.
      description: Data structure representing the from fields on the email.
    PublicRssEmailDetails:
      type: object
      properties:
        blogEmailType:
          type: string
        blogImageMaxWidth:
          type: integer
          format: int32
        blogLayout:
          type: string
          enum:
            - FULL_POST
            - SUMMARY_NO_FEATURED_IMAGE
            - SUMMARY_WITH_FEATURED_IMAGE
        hubspotBlogId:
          type: string
        maxEntries:
          type: integer
          format: int32
        rssEntryTemplate:
          type: string
        timing:
          type: object
          additionalProperties:
            type: object
            properties: {}
        url:
          type: string
        useHeadlineAsSubject:
          type: boolean
      description: RSS related data if it is a blog or rss email.
    EmailStatisticsData:
      required:
        - counters
        - deviceBreakdown
        - qualifierStats
        - ratios
      type: object
      properties:
        counters:
          type: object
          additionalProperties:
            type: integer
            format: int64
          description: Contadores como número de "sent", "open" ou "delivered".
        deviceBreakdown:
          type: object
          additionalProperties:
            type: object
            additionalProperties:
              type: integer
              format: int64
          description: Estatísticas por dispositivo.
        qualifierStats:
          type: object
          additionalProperties:
            type: object
            additionalProperties:
              type: integer
              format: int64
          description: Número de e-mails que foram descartados e rejeitados.
        ratios:
          type: object
          additionalProperties:
            type: number
          description: Taxas como "openratio" ou "clickratio"
    PublicEmailSubscriptionDetails:
      type: object
      properties:
        officeLocationId:
          type: string
          description: ID da localização do escritório selecionado.
        preferencesGroupId:
          type: string
        subscriptionId:
          type: string
          description: O ID da assinatura.
        subscriptionName:
          type: string
      description: Data structure representing the subscription fields of the email.
    PublicEmailTestingDetails:
      type: object
      properties:
        abSampleSizeDefault:
          type: string
          description: >-
            Versão do e-mail que deve ser enviada se houver poucos destinatários
            para realizar um teste AB.
          enum:
            - automated_loser_variant
            - automated_master
            - automated_variant
            - loser_variant
            - mab_master
            - mab_variant
            - master
            - variant
        abSamplingDefault:
          type: string
          description: >-
            Versão do e-mail que deve ser enviada se os resultados forem
            inconclusivos após o período de teste (mestre ou variante).
          enum:
            - automated_loser_variant
            - automated_master
            - automated_variant
            - loser_variant
            - mab_master
            - mab_variant
            - master
            - variant
        abStatus:
          type: string
          description: Status do teste AB.
          enum:
            - automated_loser_variant
            - automated_master
            - automated_variant
            - loser_variant
            - mab_master
            - mab_variant
            - master
            - variant
        abSuccessMetric:
          type: string
          description: >-
            Métrica para determinar a versão que será enviada para os contatos
            restantes.
          enum:
            - CLICKS_BY_DELIVERED
            - CLICKS_BY_OPENS
            - OPENS_BY_DELIVERED
        abTestPercentage:
          type: integer
          description: O tamanho do seu grupo de teste.
          format: int32
        hoursToWait:
          type: integer
          description: >-
            Limite de tempo para a obtenção dos resultados do teste. Quando o
            tempo acabar, a versão vencedora será enviada para os contatos
            restantes.
          format: int32
        isAbVariation:
          type: boolean
        testId:
          type: string
          description: O ID do teste AB.
      description: >-
        AB testing related data. This property is only returned for AB type
        emails.
    PublicEmailToDetails:
      type: object
      properties:
        contactIds:
          $ref: '#/components/schemas/PublicEmailRecipients'
        contactIlsLists:
          $ref: '#/components/schemas/PublicEmailRecipients'
        contactLists:
          $ref: '#/components/schemas/PublicEmailRecipients'
        limitSendFrequency:
          type: boolean
        suppressGraymail:
          type: boolean
          description: >-
            Se deve ser enviado para contatos não engajados (falso) ou não
            (verdadeiro).
      description: Data structure representing the to fields of the email.
    PublicWebversionDetails:
      type: object
      properties:
        domain:
          type: string
        enabled:
          type: boolean
        expiresAt:
          type: string
          format: date-time
        isPageRedirected:
          type: boolean
        metaDescription:
          type: string
        pageExpiryEnabled:
          type: boolean
        redirectToPageId:
          type: string
        redirectToUrl:
          type: string
        slug:
          type: string
        title:
          type: string
        url:
          type: string
    ErrorDetail:
      required:
        - message
      type: object
      properties:
        code:
          type: string
          description: O código de status associado ao detalhe do erro
        context:
          type: object
          additionalProperties:
            type: array
            items:
              type: string
          description: Contexto sobre a condição do erro
          example: '{missingScopes=[scope1, scope2]}'
        in:
          type: string
          description: O nome do campo ou parâmetro no qual o erro foi encontrado.
        message:
          type: string
          description: >-
            Uma mensagem legível por humanos que descreve o erro, juntamente com
            as etapas de correção, quando apropriado
        subCategory:
          type: string
          description: >-
            Uma categoria específica que contém mais detalhes específicos sobre
            o erro
      description: >-
        Representa informações detalhadas sobre um erro ocorrido na API. Este
        componente é usado para fornecer contexto e detalhes adicionais sobre os
        erros, geralmente como parte de uma resposta de erro.
    SmartEmailField:
      type: object
      properties: {}
      description: An email field whose value is controlled by one or more smart rules.
    PublicEmailStyleSettings:
      type: object
      properties:
        backgroundColor:
          type: string
        backgroundImage:
          type: string
        backgroundImageType:
          type: string
          enum:
            - REPEAT
            - SINGLE
            - STRETCH
        bodyBorderColor:
          type: string
        bodyBorderColorChoice:
          type: string
        bodyBorderWidth:
          type: number
        bodyColor:
          type: string
        buttonStyleSettings:
          $ref: '#/components/schemas/PublicButtonStyleSettings'
        colorPickerFavorite1:
          type: string
        colorPickerFavorite2:
          type: string
        colorPickerFavorite3:
          type: string
        colorPickerFavorite4:
          type: string
        colorPickerFavorite5:
          type: string
        colorPickerFavorite6:
          type: string
        dividerStyleSettings:
          $ref: '#/components/schemas/PublicDividerStyleSettings'
        emailBodyPadding:
          type: string
        emailBodyWidth:
          type: string
        headingOneFont:
          $ref: '#/components/schemas/PublicFontStyle'
        headingTwoFont:
          $ref: '#/components/schemas/PublicFontStyle'
        linksFont:
          $ref: '#/components/schemas/PublicFontStyle'
        primaryAccentColor:
          type: string
        primaryFont:
          type: string
        primaryFontColor:
          type: string
        primaryFontLineHeight:
          type: string
        primaryFontSize:
          type: number
        secondaryAccentColor:
          type: string
        secondaryFont:
          type: string
        secondaryFontColor:
          type: string
        secondaryFontLineHeight:
          type: string
        secondaryFontSize:
          type: number
    PublicEmailRecipients:
      type: object
      properties:
        exclude:
          type: array
          description: IDs excluídos.
          items:
            type: string
        include:
          type: array
          description: IDs incluídos.
          items:
            type: string
      description: >-
        Data structure representing lists of IDs that should be included and
        excluded.
    PublicButtonStyleSettings:
      type: object
      properties:
        backgroundColor:
          type: object
          properties: {}
        cornerRadius:
          type: integer
          format: int32
        fontStyle:
          $ref: '#/components/schemas/PublicFontStyle'
    PublicDividerStyleSettings:
      type: object
      properties:
        color:
          type: object
          properties: {}
        height:
          type: integer
          format: int32
        lineType:
          type: string
    PublicFontStyle:
      type: object
      properties:
        bold:
          type: boolean
        color:
          type: string
        font:
          type: string
        italic:
          type: boolean
        size:
          type: integer
          format: int32
        underline:
          type: boolean
  responses:
    Error:
      description: An error occurred.
      content:
        '*/*':
          schema:
            $ref: '#/components/schemas/Error'
  securitySchemes:
    oauth2:
      type: oauth2
      flows:
        authorizationCode:
          authorizationUrl: https://app.hubspot.com/oauth/authorize
          tokenUrl: https://api.hubapi.com/oauth/v1/token
          scopes:
            content: ''
            marketing-email: ''
            marketing.email.read: ''
            marketing.email.write: ''
            transactional-email: ''

````